Update a brand
A successful request to this endpoint will mean you may be charged a brand resubmission fee
PATCH
/organizations/{organizationId}/tcr-brands/{brandId}
A brand cannot be updated if the status is failed. The brand must be resubmitted as new. When a brand is approved or has an approved vetting, then the fields 'companyName', 'entityType', 'ein' and 'einIssuingCountry' cannot be updated. When a brand is rejected all fields can be updated.
Payload permintaan
entityType
string
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
Display or marketing name your brand.
companyName
string
Legal company name. This should match the legal company name used to register your EIN/Tax ID. It can't be updated when the brand is approved.
ein
string
Government assigned corporate tax ID. EIN is 9-digits in the U.S. It can't be updated when the brand is approved.
einIssuingCountry
string
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration. It can't be updated when the brand is approved.
phone
string
Valid phone number in e.164 international format.
street
string
Street number and name.
city
string
City name
state
string
State. Must be a 2 letter state code for US states.
postalCode
string
Postal code. Must be a 5 digit zip code for the United States.
country
string
ISO 2 character country code.
email
string
Valid email address of brand support contact.
stockSymbol
string
Stock symbol. Required if updating stockExchange.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier such as DUNS, LEI, or GIIN
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
workspaceIds
array of string
organizationWide
boolean
If true, this brand is available to all workspaces in the organization, including newly created workspaces.
Payload respons
id
string
The ID of the number.
tcrBrandId
string
The Campaign Registry brand ID.
organizationId
string
createdAt
string
Timestamp (UTC) when the brand was created.
updatedAt
string
Timestamp (UTC) when the brand was last updated.
status
string
Brand status
Possible values: FAILED, PENDING, REJECTED, APPROVED, DELETED, DRAFT
authPlusStatus
string
Brand Auth+ status
Possible values: NOT_APPLICABLE, NEEDS_CHARGE, NEEDS_TRIGGER, DONE
entityType
string
wajib
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
wajib
Display or marketing name your brand.
companyName
string
wajib
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
ein
string
wajib
Government assigned corporate tax ID. EIN is 9-digits in the U.S.
einIssuingCountry
string
wajib
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.
phone
string
wajib
Valid phone number in e.164 international format.
street
string
wajib
Street number and name.
city
string
wajib
City name
state
string
wajib
State. Must be a 2 letter state code for US states.
postalCode
string
wajib
Postal code. Must be a 5 digit zip code for the United States.
country
string
wajib
ISO 2 character country code.
email
string
wajib
Valid email address of brand support contact.
stockSymbol
string
Stock symbol.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
wajib
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier.
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
businessContactEmailVerifiedDate
string
Timestamp (UTC) when the brand businessContactEmail was verified.
rejection
object
Rejection details
Tampilkan atribut turunan
rejection.description
string
wajib
Rejection description
rejection.code
string
Rejection code
workspaceIds
array of string
wajib
organizationWide
boolean
wajib
If true, this brand is available to all workspaces in the organization, including newly created workspaces.
Contoh kode
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/tcr-brands/{brandId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'BrandUpdate object
| Field | Type | Description | Mandatory | Editing restrictions |
|---|---|---|---|---|
| entityType | entityType | Legal entity type | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| displayName | string | Display or marketing name your brand | Optional | |
| companyName | string | Legal company name. This should match the legal company name used to register your EIN/Tax ID | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| ein | string | Government assigned corporate tax ID. EIN is 9-digits in the U.S. | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| einIssuingCountry | string | The 2 letter ISO country of registration submitted with your EIN / Tax ID registration | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| phone | string | Valid phone number in e.164 international format. | Optional | |
| street | string | Street number and name | Optional | |
| city | string | City name | Optional | |
| state | string | State. Must be a 2 letter state code for US states | Optional | |
| postalCode | string | Postal code. Must be a 5 digit zip code for the United States | Optional | |
| country | string | ISO 2 character country code | Optional | |
| string | Valid email address of brand support contact | Optional | ||
| stockSymbol | stockSymbol | Stock symbol | Optional. Required if updating stockExchange | |
| stockExchange | stockExchange | Stock exchange | Optional. Required if updating stockSymbol | |
| website | string | Brand website URL | Optional | |
| vertical | vertical | Vertical or industry segment of the brand | Optional | |
| workspaceIds | array<UUID> | An array of valid workspace IDs associated with organisation. Brand will be shared with workspace Ids listed | Optional. Provide new list to share with different set of workpaces |
BrandResonse object
| Type | Description |
|---|---|
| BrandReponse | BrandResponse object describes a submitted brand |